ACOSH(3)

NAME
acosh, acoshf, acoshl - inverse hyperbolic cosine functions

SYNOPSIS
#include <math.h>
double
acosh(double x);
float
acoshf(float x);
long double
acoshl(long double x);

DESCRIPTION
The acosh() function computes the inverse hyperbolic cosine of the real argument x. The acoshf() function is a single precision version of acosh(). The acoshl() function is an extended precision version of acosh().

RETURN VALUES
If x is less than one, acosh(x), acoshf(x) and acoshl(x) return and set the global variable errno to EDOM.

SEE ALSO
asinh(3), atanh(3), exp(3), infnan(3)

HISTORY
The acosh() function appeared in 4.3BSD.